"""
rabbitpy, a pythonic RabbitMQ client

"""
__version__ = '1.0.0'

import logging

from rabbitpy.amqp import AMQP
from rabbitpy.connection import Connection
from rabbitpy.channel import Channel
from rabbitpy.exchange import Exchange
from rabbitpy.exchange import DirectExchange
from rabbitpy.exchange import FanoutExchange
from rabbitpy.exchange import HeadersExchange
from rabbitpy.exchange import TopicExchange
from rabbitpy.message import Message
from rabbitpy.amqp_queue import Queue
from rabbitpy.tx import Tx

from rabbitpy.simple import SimpleChannel
from rabbitpy.simple import consume
from rabbitpy.simple import get
from rabbitpy.simple import publish
from rabbitpy.simple import create_queue
from rabbitpy.simple import delete_queue
from rabbitpy.simple import create_direct_exchange
from rabbitpy.simple import create_fanout_exchange
from rabbitpy.simple import create_headers_exchange
from rabbitpy.simple import create_topic_exchange
from rabbitpy.simple import delete_exchange

if hasattr(logging, 'NullHandler'):
    NullHandler = logging.NullHandler
else:
    """Python 2.6 does not have a NullHandler"""
    class NullHandler(logging.Handler):
        def emit(self, record):
            pass

logging.getLogger('rabbitpy').addHandler(NullHandler())

__all__ = [
    '__version__',
    'amqp_queue',
    'channel',
    'connection',
    'exceptions',
    'exchange',
    'message',
    'simple',
    'tx',
    'AMQP',
    'Connection',
    'Channel',
    'SimpleChannel',
    'Exchange',
    'DirectExchange',
    'FanoutExchange',
    'HeadersExchange',
    'TopicExchange',
    'Message',
    'Queue',
    'Tx',
    'consume',
    'get',
    'publish',
    'create_queue',
    'delete_queue',
    'create_direct_exchange',
    'create_fanout_exchange',
    'create_headers_exchange',
    'create_topic_exchange',
    'delete_exchange'
]
